package com.iformall.mapper;


import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxBillDeposit;
import com.iformall.domain.po.WxRentContract;
import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillDepositMapper extends CommonMapper<WxBillDeposit, Long> {

	List<WxBillDeposit> findList(WxBillDeposit wxBillDeposit);

    List<WxBillDeposit> queryBillDepositList(WxBillDeposit record);

	Map<String,Object> queryPayInfo(Map<String,Object> params);

	Map<String,Object> queryOweInfoAll(Map<String,Object> params);

	Map<String,Object> queryPayInfoAllTotal(Map<String,Object> params);

	void updateNotPaidStatus(Map<String,Object> params);

	void updateWaitPayStatus(Map<String,Object> params);

	long queryOweCount(WxRentContract wxRentContract);
	
	
}
